html {
    height: 100%;
}

body {
    height: 100%;
    font-family: "Microsoft Yahei", Arial, Helvetica, sans-serif;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    /* background-color: #f8f8f8; */
    color: #222;
    /* padding-top: 52px; */
}

.container {
	max-width: 970px; /*970 - 20, 730 */
	min-width: 320px; /*320 - 20*/
}

.wrap {
    min-height: 100%;
    height: auto;
    margin: 0 auto -60px;
    padding: 0 0 60px;
}

.wrap > .container {
    padding: 20px 15px 20px;
}

.main-head {
  width: 100%;
  max-width: 100%;
  border-bottom: 1px solid #e7e7e7;
  box-shadow: 0 0.125em 0.25em rgba(10,10,10,.1);
  padding:0;
  margin:0;
}

.footer {
    height: 60px;
    background-color: #f5f5f5;
    border-top: 1px solid #ddd;
    padding-top: 20px;
}

.jumbotron {
    text-align: center;
    background-color: transparent;
}

.jumbotron .btn {
    font-size: 21px;
    padding: 14px 24px;
}

.not-set {
    color: #c55;
    font-style: italic;
}

/* add sorting icons to gridview sort links */
a.asc:after, a.desc:after {
    position: relative;
    top: 1px;
    display: inline-block;
    font-family: 'Glyphicons Halflings';
    font-style: normal;
    font-weight: normal;
    line-height: 1;
    padding-left: 5px;
}

a.asc:after {
    content: /*"\e113"*/ "\e151";
}

a.desc:after {
    content: /*"\e114"*/ "\e152";
}

.sort-numerical a.asc:after {
    content: "\e153";
}

.sort-numerical a.desc:after {
    content: "\e154";
}

.sort-ordinal a.asc:after {
    content: "\e155";
}

.sort-ordinal a.desc:after {
    content: "\e156";
}

.grid-view th {
    white-space: nowrap;
}

.hint-block {
    display: block;
    margin-top: 5px;
    color: #999;
}

.error-summary {
    color: #a94442;
    background: #fdf7f7;
    border-left: 3px solid #eed3d7;
    padding: 10px 20px;
    margin: 0 0 15px 0;
}

.navbar-default {
  background-color: #FFF!important; /* change default background */
}

/* align the logout "link" (button in form) of the navbar */
.nav li > form > button.logout {
    padding: 15px;
    border: none;
}

.is-hidden-touch {
  display: block;
}
.is-hidden-desktop{
  display:none;
}

@media(max-width:767px) {
    .nav li > form > button.logout {
        display:block;
        text-align: left;
        width: 100%;
        padding: 10px 15px;
    }

    .is-hidden-touch {
      display: none;
    }
    .is-hidden-desktop{
      display:block;
    }
}

.nav > li > form > button.logout:focus,
.nav > li > form > button.logout:hover {
    text-decoration: none;
}

.nav > li > form > button.logout:focus {
    outline: none;
}

/*<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<*/

.mr {
    margin-right: 10px!important;
}
  
  .ml {
    margin-left: 10px!important;
  }
  
  .mt1 {
    margin-top: 10px!important;
  }
  
  .mt2 {
    margin-top: 15px!important;
  }
  .mt3 {
    margin-top: 20px!important;
  }
  .mt4 {
    margin-top: 30px!important;
  }
  .mt5 {
    margin-top: 40px!important;
  }
  
  .mb1 {
    margin-bottom: 10px!important;
  }
  .mb2 {
    margin-bottom: 15px!important;
  }
  .mb3 {
    margin-bottom: 20px!important;
  }
  .mb4 {
    margin-bottom: 30px!important;
  }
  .mb5 {
    margin-bottom: 40px!important;
  }
  
  .row-between {
    width:100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
  }
  
  .row-around {
    width:100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-around;
  }
  
  .row-start {
    width:100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
  }
  
  .row-wrap {
    width:100%;
    display: flex;
    flex-direction: row;
    align-items: top;
    justify-content: flex-start;
    flex-wrap: wrap;
  }
  
  .row-end {
    width:100%;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-end;
  }
  
  .col-start {
    height:100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
  }
  
  .col-around {
    height:100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
  }
  
  .col-between {
    height:100%;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    align-items: center;
    justify-content: space-between;
  }

  .col-end {
    height:100%;
    display: flex;
    flex-direction: column;
    min-height: 100%;
    align-items: center;
    justify-content: flex-end;
  }
  
  .grow {
      flex-grow:1;
  }
  
  .flex-center {
      display: flex;
      flex-direction: row;
      justify-content: space-around;
      align-items: center;
  }
  
  .align-start {
    align-items: flex-start;
  }
  
  .align-strecth {
    align-items: strecth;
  }

  .pdh {
    padding-left: 16px;
    padding-right: 16px;
  }

  .pd1 {
    padding-top: 10px;
    padding-bottom: 10px;
  }
  
  .pd2 {
    padding-top: 15px;
    padding-bottom: 15px;
  }
  
  .pd3 {
    padding-top: 20px;
    padding-bottom: 20px;
  }
  
  .pd4 {
    padding-top: 30px;
    padding-bottom: 30px;
  }
  
  .pd5 {
    padding-top: 50px;
    padding-bottom: 50px;
  }
  
  .pd6 {
    padding-top: 60px;
    padding-bottom: 60px;
  }
  
  .pd7 {
    padding-top: 70px;
    padding-bottom: 70px;
  }
  
  .pd8 {
    padding-top: 80px;
    padding-bottom: 80px;
  }

@-moz-keyframes spin-around {
    from { -moz-transform: rotate(0deg); }
    to { -moz-transform: rotate(360deg); }
}
@-webkit-keyframes spin-around {
    from { -webkit-transform: rotate(0deg); }
    to { -webkit-transform: rotate(360deg); }
}
@keyframes spin-around {
    from {transform:rotate(0deg);}
    to {transform:rotate(360deg);}
}

.myloader, .myloading:after{
    position: absolute;
    top: calc(50% - 0.5em);
    /* left: calc(50% - 0.5em); */
	  z-index: 20000; 

    animation: spin-around .5s infinite linear;
    border: 2px solid #dbdbdb;
    border-radius: 290486px;
    border-right-color: transparent;
    border-top-color: transparent;
    content: "";
    display: inline-block;
    height: 1em;
    width: 1em;
}

  .loading:after {
    content: url("loading-inline.svg");
    margin-left:0.5em;
    vertical-align: middle;
    line-height: 1em;
  }

.loading1:after {
  content: "\f1ce";/*"\f110"*/;
  font-family: "FontAwesome";
  position: absolute;
  top:0;
  left: auto;
  margin-left:5px;
  -webkit-animation: fa-spin 1.2s infinite linear;
  animation: fa-spin 1.2s infinite linear;
}

  .bordert {
    border-top: 1px solid #eeeeee
  }

  .borderb {
    border-bottom: 1px solid #eeeeee
  }

.hand {
  cursor: pointer;
}

.brand-primary {color: #428bca;}
.brand-success {color: #5cb85c;}
.brand-info {color: #5bc0de;}
.brand-warning {color: #f0ad4e;}
.brand-danger {color: #d9534f;}

.bg-primary {background-color: #428bca;}
.bg-success {background-color: #5cb85c;}
.bg-info {background-color: #5bc0de;}
.bg-warning {background-color: #f0ad4e;}
.bg-danger {background-color: #d9534f;}

.gray-darker {color: #222;}
.gray-dark {color: #333;}
.gray {color: #555;}
.gray-light {color: #999;}
.gray-lighter {color: #eee;}

.graylink {
  text-decoration: none;
  cursor:pointer;
  color:#999;
}

.graylink:hover, graylink:active, graylink:focus
{
color: #555;
}

.box {
  border: 1px solid #DDD;
  border-radius: 5px;
  padding: 10px 16px;
  margin: 0;
  /* box-shadow: 0 2px 6px 0 rgba(0,0,0,0.2); */
}

.nav-underline {
  width:100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-start;
}

.nav-underline-item > a{
  padding: 15px;
  display: block;
  text-decoration: none;
  color: #555;
  border-bottom: 2px solid transparent;
  font-size: 1.4em;
  text-align: center;
}

.nav-underline-item > a:hover {
  border-bottom-color: #999;
}

.nav-underline-item.active > a, 
.nav-underline-item.active > a:hover{
  color: #428bca;
  border-bottom-color: #428bca;
}

.nav-underline.is-justify {
  justify-content: space-around;
}

/* .nav-underline.is-justify .nav-underline-item {
  flex-grow: 1;
} */

.nav-underline.is-sm a {
  font-size: 1.2em;
}

.nav-underline.is-lg a {
  font-size: 2em;
}

.nav-tab-content{
  display:none;
}
.nav-tab-content.active {
  display: block;
}

/*>>>>>>>>>>>>>>>>>>>>>>>>>>>>>*/


.profile {
  padding:0;
}

.profile-avatar {
  width: 312px;
  height: 212px;
  display: block;
}

.profile-name {
  margin-top: 0;
}

.profile-stat {
    font-size: 1.8rem;
    margin: 1.5rem 0;
}

.profile-info {
    font-size: 1.4rem;
    margin: 1.5rem 0;
    cursor: pointer;
    color:#666;
}

.setting-avatar {
  width:100%;
  height:100%;
  display: block;
}

.setting-avatar-progress {
  overflow: hidden;
  background: transparent url("loading.gif") no-repeat scroll center center;
  z-index: 1;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}

.nav-pills-underline > li.active > a, .nav-pills-underline  > li.active > a:hover, .nav-pills-underline  > li.active > a:focus {
  color: #222;
  background-color: #fff;
  font-weight: bold;
}

/* img.loading {
  background: transparent url("loading.gif") no-repeat scroll center center;
}  */

.err-summary ul {
  list-style: none;
  padding:0;
  margin:0;
}
/* <<<<<<<<<<<<<<<< flipbook <<<<<<<<<<<<<<<< */
.drop-zone {
  border:4px #999 dashed;
  padding: 60px 16px;
  border-radius: 5px;
/* cursor:pointer; */
text-align: center;
}

.drop-zone:hover {
  border-color:#222;
}

.shelf-player {
  width: 100%;
  /* background: #4e5565; */
}

.fb-player {
  width: 100%;
  /* background: #4e5565 url(grid.svg) center center no-repeat; */
}

iframe.myembed {
  width: 100%;
  height: 100%;
  border: 0;
  background: #4e5565 url(grid.svg) center center no-repeat;
}

.fb-navbar {
	height:50px; 
	border-bottom: 1px solid #ddd;
	padding: 0 16px;
}

.btn-toggle-panel {
  position:fixed; 
  top: 52px; 
  left: 0px; 
  height:50px; 
  width:50px; 
  text-align:center; 
  background: rgba(255,255,255,0.8);
  z-index:1;
}

.fb-editor {
	width:100%;
	height: calc(100vh - 52px);
}

.fb-editor-panel {
	flex-basis: 340px;
	flex-shrink: 0;
	height: calc(100vh - 52px);
	border-right: 1px solid #DDD;
	overflow-y: auto;
}

@media(max-width:767px) {
  .fb-editor-panel {
    display:none;
  }
}

.fb-editor-panel-head {
	padding: 10px 16px;
  box-shadow: 0 0.125em 0.25em rgba(10,10,10,.1);
  height:50px;
}

.fb-editor-panel-title {
  font-size: 1.2em;
  padding-left: 40px;
}

.fb-editor-panel-body {
  padding: 10px 16px;
  overflow-y:auto;
}

.fb-bg-thumbnail {
	border: 1px solid #DDD;
	cursor: pointer;
	padding: 0;
	width: 30px;
	height: 30px;
	border-radius: 3px;
  margin: 0px 10px 10px 0px;
  box-sizing: border-box;
  overflow: hidden;
}

.fb-bg-thumbnail img {
  width: 30px;
	height: 30px;
}

.fb-bg-thumbnail:hover, .fb-bg-thumbnail.active {
	border: 2px solid #209cee;
}

/* ------------------- */
.fb-grid-item {
  padding: 0;
  margin: 0;
}

.fb-grid-item .cover-wrap {
  height:200px;
  width: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.fb-grid-item .cover {
  align-self: flex-end;
  max-width: 100%;
  max-height: 100%;
  box-shadow: 0 2px 6px 0 rgba(0,0,0,0.2);
  transition: all 0.1s ease, opacity 0.3s;
  margin: 0 auto;
}

.fb-grid-item a{
  text-decoration: none;
  color:#555;
}

.fb-grid-item a:hover{
  color:#428bca;
}

.fb-grid-item a:hover .cover{
  opacity: 0.8;
}

.fb-grid-item .caption{
  padding: 10px 0px;
  word-wrap: break-word;
}

/* ---- grid ---- */

.grid {
  width:100%;
  display: flex;
  flex-direction: row;
  align-items: flex-start;
  justify-content: space-around;
  flex-wrap: wrap;
}

/* ---- grid-item ---- */

.grid-item {
  max-width: 150px;
  margin: 20px 16px;
}

.list {
  padding:0;
}

.list-item {
  padding:0;
}

.list-item h4 {
  margin: 0;
}

.fb-list-item .cover-wrap {
  height: 100px;
  width: 75px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.fb-list-item .cover {
  align-self: flex-end;
  max-width: 100%;
  max-height: 100%;
  box-shadow: 0 2px 6px 0 rgba(0,0,0,0.2);
  transition: all 0.1s ease, opacity 0.3s;
  margin: 0 auto;
}

.fb-list-item a{
  text-decoration: none;
  color:#555;
}

.fb-list-item a:hover{
  color:#428bca;
}

.fb-list-item a:hover .cover{
  opacity: 0.8;
}

.fb-list-item .caption{
  padding: 0px;
  word-wrap: break-word;
  height: 100px;
  overflow:hidden;
}

.fb-list-item .action-icon {
  width: 20px;
  margin-right: 10px;
}

/* --------------------- shelf --------------------- */

.shelf-grid-item {
  padding: 0;
  margin: 0;
}

.shelf-grid-item .cover-wrap {
  height:150px;
  width: 150px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.shelf-grid-item .cover {
  align-self: flex-end;
  max-width: 100%;
  max-height: 100%;
  box-shadow: 0 2px 6px 0 rgba(0,0,0,0.2);
  transition: all 0.1s ease, opacity 0.3s;
  margin: 0 auto;
}

.shelf-grid-item a{
  text-decoration: none;
  color:#555;
}

.shelf-grid-item a:hover{
  color:#428bca;
}

.shelf-grid-item a:hover .cover{
  opacity: 0.8;
}

.shelf-grid-item .caption{
  padding: 10px 0px;
  word-wrap: break-word;
}

.shelf-list-item .cover-wrap {
  height: 100px;
  width: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
}

.shelf-list-item .cover {
  align-self: flex-end;
  max-width: 100%;
  max-height: 100%;
  box-shadow: 0 2px 6px 0 rgba(0,0,0,0.2);
  transition: all 0.1s ease, opacity 0.3s;
  margin: 0 auto;
}

.shelf-list-item a{
  text-decoration: none;
  color:#555;
}

.shelf-list-item a:hover{
  color:#428bca;
}

.shelf-list-item a:hover .cover{
  opacity: 0.8;
}

.shelf-list-item .caption{
  padding: 0px;
  word-wrap: break-word;
  height: 100px;
  overflow:hidden;
}

.shelf-list-item .action-icon {
  width: 20px;
  margin-right: 10px;
}


/* >>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> */

.order-price-left, .order-price-right {
  width: 160px; text-align:right;
}

.order-price-big {
  font-size: 28px;
  font-weight: bold;
  color: #d9534f;
}

.bootstrap-tagsinput {
  width: 100%;
}

.show-multiple option {
  padding: 5px;
}

/* upload
------------------------------- */
.pdf-cut-type {
  width:120px;
  margin:15px;
  text-align: center; 
  position: relative;
}

.pdf-cut-type img {
  width: 100%;
  height:auto;
}

.pdf-cut-type-ok {
  position: absolute;
  top: 20px;
  right: -10px;
  color: #FFF;
  border-radius: 50%;
  width: 30px;
  height: 30px;
}

/**************************/
/* wx login qrcode style*/
.impowerBox .qrcode {width: 200px;}
.impowerBox .title {display: none;}
.impowerBox .info {width: 200px;}
.status_icon {display: none}
.impowerBox .status {text-align: center;} 
/*************************/